Subject: RE: [Sigtran] m3ua IG-v01: Position of RC in the message

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Wed, 3 Jul 2002 09:38:04 +0200

Hi guys, 

You are right that the reason exposed in the text is obsolete. Nevertheless, I think it is desirable that these parameters (NA and RC) are located at the first place in the messages since they define the scope where the SPC is being interpretated. And I would even keep the order NA-RC-SPC (general to particular). Although I agree that a robust programme could detect RC in any position I suggest that the order depicted in the figure should be kept for the sake of programming eficiency. 

Cheers // Javier.

> -----Original Message-----
> From: Ken Morneault [mailto:[email-masked]]
> Sent: Wednesday, July 03, 2002 12:54 AM
> To: Tolga Asveren; [email-masked]
> Subject: RE: [Sigtran] m3ua IG-v01: Position of RC in the message
> 
> 
> 
> 
> Yes, since the explanation does not make sense, the requirement for
> NA to be first should be dropped and the text cleaned up.
> 
> Regards,
> 
> Ken
> 
> At 05:45 PM 7/2/2002 -0400, Tolga Asveren wrote:
> >Most probably it was also not needed but just preferred in 
> the past, I think
> >it should be possible to parse all of the parameters and 
> then process one of
> >them based on the NA value, regardless of the order of 
> parameters in the
> >message. Now, layout of Protocol Data is protocol 
> independent but Point Code
> >parameters are. But again, one can wait for RC parameter and 
> investigate
> >Point Code parameters afterwards, even if RC is not before 
> them in the
> >message. So, personally I wouldn't consider this as a strong 
> mandatory
> >requirement, but then it is better also to remove the 
> explanation for NA.
> >
> >    Tolga
> >
> >> -----Original Message-----
> >> From: Ken Morneault [mailto:[email-masked]]
> >> Sent: Tuesday, July 02, 2002 2:58 PM
> >> To: Tolga Asveren; [email-masked]
> >> Subject: Re: [Sigtran] m3ua IG-v01: Position of RC in the message
> >>
> >>
> >>
> >>
> >> Is it still necessary to have NA/RC first since Protocol Data
> >> format (layout)
> >> is independent of ITU/ANSI.  It seems like we can drop 
> this requirement.
> >>
> >> Regards,
> >>
> >> Ken
> >>
> >> At 10:16 AM 7/2/2002 -0400, Tolga Asveren wrote:
> >> >Javier,
> >> >
> >> >It is said int he draft that NA should be the first 
> parameter, if it is
> >> >present. This applies also for RC -for the same reason why NA
> >> should be the
> >> >first parameter- and it is better to mention about this 
> in the draft.
> >> >
> >> >   Tolga
> >> >
> >> >
> >> >
> >> >
> >> >
> >> >_______________________________________________
> >> >Sigtran mailing list
> >> >[email-masked]
> >> >https://www1.ietf.org/mailman/listinfo/sigtran
> >
> >
> >_______________________________________________
> >Sigtran mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/sigtran 
> 
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran